Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.crowd
Class CrowdManager

    java.lang.Object
      org.jivesoftware.openfire.crowd.CrowdManager

    public class CrowdManager

extends Object

Method Summary
`void` | `authenticate(String username, String password)` Authenticates a user with crowd.
`List<String>` | `getAllGroupNames()` Get all the crowd groups
`List<User>` | `getAllUsers()` Get all the users from Crowd
`Group` | `getGroup(String groupName)` Get the description of a group from crowd
`List<String>` | `getGroupMembers(String groupName)` Get the members of the given group
`static CrowdManager` | `getInstance()`
`List<String>` | `getUserGroups(String username)` Get all the groups of a given username

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CrowdManager getInstance()

### authenticate

    public void authenticate(String username,
                             String password)
                      throws RemoteException

  Authenticates a user with crowd. If authentication failed, raises a `RemoteException`

  Parameters:
    `username` -
    `password` -
  Throws:
    `RemoteException`

### getAllUsers

    public List<User> getAllUsers()
                           throws RemoteException

  Get all the users from Crowd

  Returns:
    a List of User containing all the users stored in Crowd
  Throws:
    `RemoteException`

### getAllGroupNames

    public List<String> getAllGroupNames()
                                  throws RemoteException

  Get all the crowd groups

  Returns:
    a List of group names
  Throws:
    `RemoteException`

### getUserGroups

    public List<String> getUserGroups(String username)
                               throws RemoteException

  Get all the groups of a given username

  Parameters:
    `username` -
  Returns:
    a List of groups name
  Throws:
    `RemoteException`

### getGroup

    public Group getGroup(String groupName)
                   throws RemoteException

  Get the description of a group from crowd

  Parameters:
    `groupName` -
  Returns:
    a Group object
  Throws:
    `RemoteException`

### getGroupMembers

    public List<String> getGroupMembers(String groupName)
                                 throws RemoteException

  Get the members of the given group

  Parameters:
    `groupName` -
  Returns:
    a List of String with the usernames members of the given group
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.